POST /ips/{id}/refresh
POSTips/:id/refresh
Refresh an IP address info by ID. Sets IP's status to WAITING and sends IP for validation. Can not be used more than once in 5 minutes for one IP.
Path Parameters
id string Required
Unique identifier of the IP entry to refresh
Returns
- dataobject
- idstringUnique identifier of the IP entity
- ipstringThe monitored IP address
- dns_lookup_resultarrayResults of forward and reverse DNS lookups for this IP
- addressesarrayList of forward DNS resolved addresses
- rDNSstringReverse DNS hostname for this IP
- addressesarray
- rbl_resultarrayList of RBL lookup results for this IP
- lookup_hoststringRBL hostname on which this IP is listed
- lookup_hoststring
- statusstringCurrent processing status of this IP
- blacklistedbooleanIndicates whether this IP is currently listed on at least one RBL
- wrong_rdnsbooleanIndicates whether the reverse DNS record for this IP is missing or does not resolve
- updated_atstringTimestamp when the IP data was last refreshed
- idstring
Error Codes
400 Bad Request
Bad Request
401 Unauthorized
Unauthorized
403 Forbidden
Forbidden
404 Not Found
Not Found
500 Internal Server Error
Internal server error